%define lib_name_orig libsword
%define lib_major     4
%define lib_name      %mklibname %name %version
%define develname %mklibname -d %name
%define staticname %mklibname -d -s %name

Summary:        The SWORD Project framework for manipulating Bible texts
Name:           sword
Version:        1.7.3
Release:        %mkrel 1
License:        GPLv2+
URL:            http://www.crosswire.org/sword/software/
Source:         http://www.crosswire.org/ftpmirror/pub/sword/source/v1.7/%{name}-%{version}.tar.xz
Source1:        ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:        sword_icons.tar.bz2
Group:          System/Libraries
#--------------------------------
BuildRequires: %{_lib}clucene-devel
BuildRequires: %{_lib}cppunit-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}icu-devel
BuildRequires: icu
#--------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       %{lib_name} = %{version}
Requires:       %{_lib}curl4
Requires:	curl >= 7.35.0
Obsoletes:	%{name} < %version
#this is gone
Obsoletes:	%{_lib}sword-static-devel

%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

#main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary:        Main library for sword #(!) summary for main lib RPM only
Group:          System/Libraries
Obsoletes:	%{lib_name} <= 1.7.0

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with sword.

%package -n %{develname}
Summary:         Include files for developing sword applications
Group:           Development/Libraries
Requires:        %{lib_name} = %{version}
Provides:        %{name}-devel = %{version}-%{release} 
Obsoletes:       %mklibname -d %name <= 1.7.0

%description -n %{develname}
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.


%prep
%setup -q -a2
%{_bindir}/unzip -d sapphire %{SOURCE1}
%{__cp} -a sapphire/SAPPHIRE.H include/sapphire.h
%{__cp} -a sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
%configure2_5x --with-zlib --with-curl --with-icu --disable-dependency-tracking --with-clucene --enable-shared --enable-utilities --disable-debug --with-conf
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%{__install} -m 0755 utilities/{mkfastmod,mod2vpl,vpl2mod} %{buildroot}%{_bindir}
rm -f %{buildroot}%{_defaultdocdir}/%{name}/Makefile.am
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README AUTHORS NEWS INSTALL LICENSE ChangeLog 
%doc samples doc/*.*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/sword.conf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libsword-%{version}.so

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %dir %{_includedir}/sword
%{_includedir}/sword/*.*
%{_libdir}/libsword.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Dec 18 2014 pinoc <vogtpet at gmail.com> 1.7.3-1pclos2014
- 1.7.3

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 1.7.2-1pclos2014
- 1.7.2

* Fri Sep 06 2013 billybot <billybot> 1.6.2-2pclos2013
- rebuild against updates

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 1.6.2-1pclos2012
- process

* Sat Jun 23 2012 Galen Seaman <galen.seaman@comcast.net> 1.6.2-1pclos2012
- update 1.6.2

* Fri Dec 02 2011 Texstar <texstar at gmail.com> 1.6.0-3pclos2011
- rebuild 32/64

* Wed Sep 08 2010 Texstar <texstar at gmail.com> 1.6.0-2pclos2010
- rebuild

* Sun Sep 06 2009 pcserver <pcserver at hushmail.com> 1.6.0-1pclos2009
- 1.6.0 needed for bibiletime 2.2

* Thu Apr 17 2009 pcserver <pcserver@hushmail.com> 1.5.11-3pclos2007
- rebuild against proper ssh

* Tue Apr 14 2009 pcserver <pcserver@hushmail.com> 1.5.11-2pclos2007
- rebuild libcurl4

* Mon Jan 05 2009 don_crissti <don_crissti@gmx.com> 1.5.11-1pclos2007
- new version
+ BR: clucene-devel

* Thu Apr 19 2007 Texstar <texstar@gmail.com> 1.5.9-1pclos2007
- update to 1.5.9

* Sun Dec 03 2006 Texstar <texstar@houston.rr.com> 1.5.8-4pclos2007
- Build for PCLinuxOS 2007

